/*
 * Global.h 
 * 
 * This file should contain all the header files for external libraries
 * and declare all the global variables
 *
 */

#ifndef _GLOBAL
#define _GLOBAL
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <gsl/gsl_sf.h>

// Declare global variables (external parameters only)
// Structural variables
int M;			// Dimensionality of system of equations

// Control variables
double endTime;			// Integrate until this time
double dt;			// Timestep
double Delta;			// Print output at time intervals of Delta
int method;			// Integration method to use

// Physical parameters
double alpha;
double beta;
double gamm;
double delta;

// Initial Conditions
double V0;
double V1;
double V2;

#endif

