#include "io.h"

int readParameterFile(char *filename)
{
  FILE *filepointer;
  int n;
  // Open the parameter file for reading
  filepointer=fopen(filename,"r");

  // Check that it worked
  if(filepointer==NULL)
  { goto ERROR1;}

  // Now read each parameter one by one. 
  // fscanf returns the number of successful reads which allows us to check for 
  // errors
  n=fscanf(filepointer,"alpha=%lf\n",&alpha);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"beta=%lf\n",&beta);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"gamma=%lf\n",&gamm);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"delta=%lf\n",&delta);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"endTime=%lf\n",&endTime);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"dt=%lf\n",&dt);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"Delta=%lf\n",&Delta);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"V0=%lf\n",&V0);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"V1=%lf\n",&V1);
  if(n!=1){ goto ERROR2;}
  n=fscanf(filepointer,"V2=%lf\n",&V2);
  if(n!=1){ goto ERROR2;}
  // Close the parameter file
  fclose(filepointer);

  return 0;

  // Print sensible error messages if something went wrong
ERROR1:
   fprintf(stderr,"Failed to open file %s\n", filename); 
   fflush(stderr);
   return -1;

ERROR2:
   fprintf(stderr,"Error reading data from file %s. Bad formatting?\n", filename); 
   fflush(stderr);
   return -2;
}

int printParameters(FILE *filepointer)
{
   fprintf(filepointer,"alpha=%le\n",alpha);
   fprintf(filepointer,"beta=%le\n",beta);
   fprintf(filepointer,"gamma=%le\n",gamm);
   fprintf(filepointer,"delta=%le\n",delta);
   fprintf(filepointer,"endTime=%le\n",endTime);
   fprintf(filepointer,"dt=%le\n",dt);
   fprintf(filepointer,"Delta=%le\n",Delta);
   fprintf(filepointer,"V0=%le\n",V0);
   fprintf(filepointer,"V1=%le\n",V1);
   fprintf(filepointer,"V2=%le\n",V2);
   fflush(filepointer);
   return 0;
}
